VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   7320
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5610
   LinkTopic       =   "Form1"
   ScaleHeight     =   7320
   ScaleWidth      =   5610
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtData 
      Height          =   4335
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   600
      Width           =   5415
   End
   Begin VB.CommandButton cmdSplitTable 
      Caption         =   "Split Table"
      Height          =   375
      Left            =   2160
      TabIndex        =   0
      Top             =   120
      Width           =   1095
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_DbName As String
' Return a string containing the database's contents.
Private Function DBContents(ByVal conn As ADODB.Connection) As String
Dim rs As ADODB.Recordset
Dim txt As String

    ' Get table information.
    Set rs = conn.OpenSchema(adSchemaTables, _
        Array(Empty, Empty, Empty, "Table"))
    txt = ""
    Do While Not rs.EOF
        ' Get this table's contents.
        txt = txt & TableContents(conn, rs!table_name)
        rs.MoveNext
    Loop
    rs.Close

    DBContents = txt
End Function

' Return a string containing this table's contents.
Private Function TableContents(ByVal conn As ADODB.Connection, ByVal table_name As String) As String
Dim rs As ADODB.Recordset
Dim txt As String
Dim record_txt As String
Dim i As Integer

    Set rs = conn.Execute( _
        "SELECT * FROM " & table_name, , adCmdText)
    txt = "********************" & vbCrLf & table_name & vbCrLf
    Do Until rs.EOF
        record_txt = rs.Fields(0).Value
        For i = 1 To rs.Fields.Count - 1
            record_txt = record_txt & ", " & rs.Fields(i).Value
        Next i
        txt = txt & record_txt & vbCrLf

        rs.MoveNext
    Loop
    rs.Close

    TableContents = txt
End Function


Private Sub cmdSplitTable_Click()
Dim conn As ADODB.Connection

    ' Open a connection.
    Set conn = New ADODB.Connection
    conn.ConnectionString = _
        "Provider=Microsoft.Jet.OLEDB.4.0;" & _
        "Data Source=" & m_DbName & ";" & _
        "Persist Security Info=False"
    conn.Open

    ' Copy the data from the combined table into the new tables.
    conn.Execute _
        "INSERT INTO People " & _
        "SELECT DISTINCT ID, FirstName, LastName, Rate " & _
        "FROM Combined"
    conn.Execute _
        "INSERT INTO Invoices " & _
        "SELECT ID, StartTime, StopTime " & _
        "FROM Combined"

    ' Display the new data.
    txtData.Text = DBContents(conn)
    conn.Close
End Sub

Private Sub Form_Load()
Dim conn As ADODB.Connection

    ' Get the database name.
    m_DbName = App.Path
    If Right$(m_DbName, 1) <> "\" Then m_DbName = m_DbName & "\"
    m_DbName = m_DbName & "Test.mdb"

    ' Open a connection.
    Set conn = New ADODB.Connection
    conn.ConnectionString = _
        "Provider=Microsoft.Jet.OLEDB.4.0;" & _
        "Data Source=" & m_DbName & ";" & _
        "Persist Security Info=False"
    conn.Open

    ' Delete the data from the split tables.
    conn.Execute "DELETE FROM Invoices"
    conn.Execute "DELETE FROM People"

    ' Display the data.
    txtData.Text = DBContents(conn)
    conn.Close
End Sub

Private Sub Form_Resize()
Dim y As Single
Dim hgt As Single

    cmdSplitTable.Left = (ScaleWidth - cmdSplitTable.Width) / 2

    y = cmdSplitTable.Top + cmdSplitTable.Height + 120
    hgt = ScaleHeight - y
    If hgt < 120 Then hgt = 120
    txtData.Move 0, y, ScaleWidth, hgt
End Sub


